Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26409

Description

When using row level conditional format rules on a table that is also referenced in a relation reference widget, the same formatting applies

in the combobox of the relation reference widget.

This works fine, unless one uses a custom expression for sorting the values. As soon as the sort expression is applied, the format rule is

not applied anymore.

See attached screenshots. First two screenshots show the format rule. Screenshot 3 (a and b) shows that the format rule works if only a

sort column is used, screenshot 4 (a and b) shows that the format rule fails when a sort expression is used.

If fixed, it should also be backported to version 3.0x

Thanks for having a look at this issue!

Associated revisions

Revision 4d984793 - 2018-04-10 11:10 AM - David Signer

Conditional formatting on relation reference widget

in case we have additional display expressions there does use the conditional formatting for the row

and in case there is only one fieldname used in the display expression it does use this as well

Fix: #18521

Revision 55e83809 - 2018-04-12 01:32 PM - David Signer

Conditional formatting on relation reference widget

in case we have additional display expressions there does use the conditional formatting for the row

and in case there is only one fieldname used in the display expression it does use this as well

Fix: #18521

History

#1 - 2018-04-09 07:48 AM - David Signer

- Assignee set to David Signer
#2 - 2018-04-09 07:23 PM - David Signer

Am I right with the suppose that the order (sort) has no influence. It's only in case you have a Display Expression there not only containing one field.

Correct?

#3 - 2018-04-12 10:41 AM - David Signer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|4d984793e91f7429b38a8af90d741e25d6834f5a.
